« マルクス知らずのマルクス忌避 | トップページ | 本という厄介もの »

2016年9月 6日 (火)

Ubuntu 16.04にChromeをインストール

GoogleのChromeブラウザーは、Ubuntuが正規にサポートしているアプリケーションではないので、インストールにトラブルことがある。.debパッケージのダウンロードはできたが、インストールができない。以下に、私の場合の過程を、ご参考までにご紹介しよう。最後のStep 4が、インストールめでたく完了時だ。

Step 1 インストールしようとするとlibpango1.0-0とlibappindicator1がない、と言われる:
--------------------
hirwa@hiwa2016:~/ダウンロード$ sudo dpkg -i google-chrome-stable_current_amd64.deb
(データベースを読み込んでいます ... 現在 205069 個のファイルとディレクトリがインストールされています。)
google-chrome-stable_current_amd64.deb を展開する準備をしています ...
google-chrome-stable (53.0.2785.92-1) で (53.0.2785.92-1 に) 上書き展開しています ...
dpkg: 依存関係の問題により google-chrome-stable の設定ができません:
google-chrome-stable は以下に依存 (depends) します: libpango1.0-0 (>= 1.14.0) ...しかし:
パッケージ libpango1.0-0 はまだインストールされていません。
google-chrome-stable は以下に依存 (depends) します: libappindicator1 ...しかし:
パッケージ libappindicator1 はまだインストールされていません。

dpkg: パッケージ google-chrome-stable の処理中にエラーが発生しました (--install):
依存関係の問題 - 設定を見送ります
man-db (2.7.5-1) のトリガを処理しています ...
bamfdaemon (0.5.3~bzr0+16.04.20160701-0ubuntu1) のトリガを処理しています ...
Rebuilding /usr/share/applications/bamf-2.index...
gnome-menus (3.13.3-6ubuntu3.1) のトリガを処理しています ...
desktop-file-utils (0.22-1ubuntu5) のトリガを処理しています ...
mime-support (3.59ubuntu1) のトリガを処理しています ...
処理中にエラーが発生しました:
google-chrome-stable

Step 2 上で言われたlibappindicator1をインストールしようとすると、また新たな未解決依存を指摘され、'apt-get -f install'の実行を示唆される:
--------------------
hirwa@hiwa2016:~/ダウンロード$ sudo apt-get install libappindicator1
パッケージリストを読み込んでいます... 完了
依存関係ツリーを作成しています
状態情報を読み取っています... 完了
以下の問題を解決するために 'apt-get -f install' を実行する必要があるかもしれません:
以下のパッケージには満たせない依存関係があります:
google-chrome-stable : 依存: libpango1.0-0 (>= 1.14.0) しかし、インストールされようとしていません
libappindicator1 : 依存: libindicator7 (>= 0.4.90) しかし、インストールされようとしていません
E: 未解決の依存関係です。'apt-get -f install' を実行してみてください (または解法を明示してください)。

Step 3 言われたとおり'apt-get -f install' を実行すると、どうやら未解決依存がすべてインストールされたようだ:
--------------------
hirwa@hiwa2016:~/ダウンロード$ sudo apt-get -f install
パッケージリストを読み込んでいます... 完了
依存関係ツリーを作成しています
状態情報を読み取っています... 完了
依存関係を解決しています ... 完了
以下の追加パッケージがインストールされます:
libappindicator1 libindicator7 libpango1.0-0 libpangox-1.0-0
以下のパッケージが新たにインストールされます:
libappindicator1 libindicator7 libpango1.0-0 libpangox-1.0-0
アップグレード: 0 個、新規インストール: 4 個、削除: 0 個、保留: 18 個。
1 個のパッケージが完全にインストールまたは削除されていません。
85.8 kB 中 67.0 kB のアーカイブを取得する必要があります。
この操作後に追加で 570 kB のディスク容量が消費されます。
続行しますか? [Y/n] y
取得:1 http://jp.archive.ubuntu.com/ubuntu xenial/main amd64 libpangox-1.0-0 amd64 0.0.2-5 [41.7 kB]
取得:2 http://jp.archive.ubuntu.com/ubuntu xenial/main amd64 libpango1.0-0 amd64 1.38.1-1 [3,458 B]
取得:3 http://jp.archive.ubuntu.com/ubuntu xenial/main amd64 libindicator7 amd64 12.10.2+16.04.20151208-0ubuntu1 [21.9 kB]
67.0 kB を 0秒 で取得しました (430 kB/s)
以前に未選択のパッケージ libpangox-1.0-0:amd64 を選択しています。
(データベースを読み込んでいます ... 現在 205069 個のファイルとディレクトリがインストールされています。)
.../libpangox-1.0-0_0.0.2-5_amd64.deb を展開する準備をしています ...
libpangox-1.0-0:amd64 (0.0.2-5) を展開しています...
以前に未選択のパッケージ libpango1.0-0:amd64 を選択しています。
.../libpango1.0-0_1.38.1-1_amd64.deb を展開する準備をしています ...
libpango1.0-0:amd64 (1.38.1-1) を展開しています...
以前に未選択のパッケージ libindicator7 を選択しています。
.../libindicator7_12.10.2+16.04.20151208-0ubuntu1_amd64.deb を展開する準備をしています ...
libindicator7 (12.10.2+16.04.20151208-0ubuntu1) を展開しています...
以前に未選択のパッケージ libappindicator1 を選択しています。
.../libappindicator1_12.10.1+15.04.20141110-0ubuntu1_amd64.deb を展開する準備をしています ...
libappindicator1 (12.10.1+15.04.20141110-0ubuntu1) を展開しています...
libc-bin (2.23-0ubuntu3) のトリガを処理しています ...
libpangox-1.0-0:amd64 (0.0.2-5) を設定しています ...
libpango1.0-0:amd64 (1.38.1-1) を設定しています ...
libindicator7 (12.10.2+16.04.20151208-0ubuntu1) を設定しています ...
libappindicator1 (12.10.1+15.04.20141110-0ubuntu1) を設定しています ...
google-chrome-stable (53.0.2785.92-1) を設定しています ...
update-alternatives: /usr/bin/x-www-browser (x-www-browser) を提供するために自動モードで /usr/bin/google-chrome-stable を使います
update-alternatives: /usr/bin/gnome-www-browser (gnome-www-browser) を提供するために自動モードで /usr/bin/google-chrome-stable を使います
update-alternatives: /usr/bin/google-chrome (google-chrome) を提供するために自動モードで /usr/bin/google-chrome-stable を使います
libc-bin (2.23-0ubuntu3) のトリガを処理しています ...

Step 4 再度Chromeをインストールすると、あっさりインストールは完了した:
--------------------
hirwa@hiwa2016:~/ダウンロード$ sudo dpkg -i google-chrome-stable_current_amd64.deb
(データベースを読み込んでいます ... 現在 205094 個のファイルとディレクトリがインストールされています。)
google-chrome-stable_current_amd64.deb を展開する準備をしています ...
google-chrome-stable (53.0.2785.92-1) で (53.0.2785.92-1 に) 上書き展開しています ...
google-chrome-stable (53.0.2785.92-1) を設定しています ...
man-db (2.7.5-1) のトリガを処理しています ...
bamfdaemon (0.5.3~bzr0+16.04.20160701-0ubuntu1) のトリガを処理しています ...
Rebuilding /usr/share/applications/bamf-2.index...
gnome-menus (3.13.3-6ubuntu3.1) のトリガを処理しています ...
desktop-file-utils (0.22-1ubuntu5) のトリガを処理しています ...
mime-support (3.59ubuntu1) のトリガを処理しています ...

[END]

|

« マルクス知らずのマルクス忌避 | トップページ | 本という厄介もの »

コメント

こんなんじゃchromeイストールしたくない。

投稿: bad | 2016年9月 6日 (火) 19時40分

これはubuntuの問題なのか、google側の問題なのか。よくわかりましぇん。

投稿: bad | 2016年9月 9日 (金) 20時04分

@bad
Ubuntuが正規にサポートしているアプリケーションなら、「ナニナニがない」というエラーにはならない。ただしインストールする人間に対して、Googleは情報提供が全然親切じゃない。でも、足りないものを加えるのは、上で見たように、比較的単純な作業である。

投稿: iwatani | 2016年9月 9日 (金) 21時25分

linux使っててもプログラミングゼロだと、猫に小判じゃないか?

投稿: bad | 2016年9月12日 (月) 15時18分

プロブラミングたった一人で勉強するのは、なんか難しそうだ。

投稿: bad | 2016年9月15日 (木) 13時42分

@bad
ロックもプログラミングも、その核とベースは、自己の完全な孤独でしょう。そこでこつこつやってるから、世界とのつながりや対話も、自然にできるようになる。孤独者の、フレンドリーなネットワーク、というか。

投稿: iwatani | 2016年9月15日 (木) 20時55分

中学生の頃ピアノが上手いOさん(女性)にイエスがいいと言ってたら、イエスなんてクリススクワイヤだけやがいねと言われ?だってが、ずいぶん後で意味が分かった。なるほど女性は鋭い。

投稿: bad | 2016年9月16日 (金) 12時49分

コメントを書く



(ウェブ上には掲載しません)




トラックバック

この記事のトラックバックURL:
http://app.cocolog-nifty.com/t/trackback/140652/64167230

この記事へのトラックバック一覧です: Ubuntu 16.04にChromeをインストール:

« マルクス知らずのマルクス忌避 | トップページ | 本という厄介もの »